RubyGems Navigation menu

ruby-jss 1.2.10

The ruby-jss gem provides the JSS module, a framework for interacting with the REST API of the Jamf Software Server (JSS), the core of Jamf Pro, an enterprise/education tool for managing Apple devices, from Jamf Software LLC. JSS API objects are implemented as Ruby classes, and interact with each oher to allow simpler automation of Jamf-related tasks. For details see the README file."

Versions:

  1. 1.2.10 - April 25, 2020 (336 KB)
  2. 1.2.9 - April 13, 2020 (335 KB)
  3. 1.2.6 - March 31, 2020 (335 KB)
  4. 1.2.4a4 - January 15, 2020 (330 KB)
  5. 1.2.4a3 - December 06, 2019 (327 KB)
Show all versions (60 total)

Runtime Dependencies (6):

  • immutable-struct >= 2.3.0, ~> 2.3
  • net-ldap ~> 0.16
  • plist ~> 3.1
  • recursive-open-struct >= 1.1.0, ~> 1.1
  • rest-client >= 2.0.0, < 2.1
  • ruby-mysql ~> 2.9, >= 2.9.12
  • Owners:

    Pushed by:

    Authors:

    • Chris Lasell, Aurica Hayes

    SHA 256 checksum:

    e7c082e3dd6beaafaf97265b66c842ab9b43581381877d819ded25ebca9f22f7

    Total downloads 105,905

    For this version 309

    Gemfile:
    = Copy to clipboard Copied!

    install:
    =

    License:

    Nonstandard

    Required Ruby Version: >= 2.0.0

    Links: